Support: EVCC

Alles rund um SoC (Ladezustand des Fahrzeuges). Probleme, Fragen, Fehlfunktionen gehören hier hin
ruffieuxh
Beiträge: 168
Registriert: So Jul 07, 2019 9:02 am

Re: Support: EVCC

Beitrag von ruffieuxh »

[/quote]
sollte im "EV SoC-Log" sein.
[/quote]

Besten Dank, und wo genau finde ich das (pfad)?
rleidner
Beiträge: 852
Registriert: Mo Nov 02, 2020 9:50 am

Re: Support: EVCC

Beitrag von rleidner »

ruffieuxh hat geschrieben: Mo Mai 20, 2024 1:56 pm
sollte im "EV SoC-Log" sein.
Besten Dank, und wo genau finde ich das (pfad)?
- in 1.9 Status - am Seitenende vorletzter Log (Ev Soc-Log)
- in 2.x: Einstellungen - System - Fehlersuche (Soc-Log)
- Direktzugriff per Browser in 1.9 und 2.x: http://ip_der_openwb/openWB/ramdisk/soc.log
- per ssh: /var/www/html/openWB/ramdisk/soc.log
openWB-2 Standard+ | openWB EVU Kit v2 MID| 9,9kWp mit Kostal Plenticore 8.5 plus | VW ID.3, Smart EQ forfour
ruffieuxh
Beiträge: 168
Registriert: So Jul 07, 2019 9:02 am

Re: Support: EVCC

Beitrag von ruffieuxh »

Besten Dank, und wo genau finde ich das (pfad)?
- in 1.9 Status - am Seitenende vorletzter Log (Ev Soc-Log)
- in 2.x: Einstellungen - System - Fehlersuche (Soc-Log)
- Direktzugriff per Browser in 1.9 und 2.x: http://ip_der_openwb/openWB/ramdisk/soc.log
- per ssh: /var/www/html/openWB/ramdisk/soc.log
Ahh, ok. Besten Dank. Da hätte ich niemals log files gesucht. :-)

Somit habe ich wahrscheinlich das gleiche Problem wie die anderen:

Code: Alles auswählen

2024-05-20 16:51:30: PID: 1514: Lp1: Error from EVCC: 2024/05/20 16:51:30 rpc error: code = Unknown desc = cannot create vehicle type 'ford': login failed: self-assert failed (LV0)
installierte Version: 1.9.304.0 (2024-03-11 14:39:13 +0100 [5a6a1a6d] )
Zuletzt geändert von ruffieuxh am Mo Mai 20, 2024 6:07 pm, insgesamt 1-mal geändert.
Benutzeravatar
LEAFerant
Beiträge: 20
Registriert: Mi Aug 07, 2019 8:18 pm

Re: Support: EVCC

Beitrag von LEAFerant »

Liebe Supporter,

ich hatte bei meinem LEAF Bj 2019 auch seit ein paar Tagen das Problem mit der falschen SoC Anzeige in der v1.9.303.0.

Nach Lesen dieses Threads und dem bei github (https://github.com/evcc-io/evcc/issues/13941), was ich aber mangels EDV Kenntnissen nur zum Teil verstanden habe, habe ich meine openWB auf die 1.9.304.0 Nightly aktualisiert, aber im SoC Log immer noch das Problem, dass der SoC nicht abgerufen werden kann.

Systeminfo:

Kernel: Linux 4.19.66-v7+ GNU/Linux
Python 3.5.3
openWB Version: 1.9.304.0 (2024-04-30 06:35:21 +0200 [453c27d5] )

Hardware
Board: Raspberry Pi 3 Model B Plus Rev 1.3
CPU: ARMv7 Processor rev 4 (v7l)
CPU-Kerne: 4

Code: Alles auswählen

**** REBOOT ****
2024-05-20 17:35:44: PID: 18054: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:35:46,997 - root - DEBUG - LP1: Update soctimer to 0
2024-05-20 17:35:47: PID: 18054: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:36:04: PID: 19393: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:36:06,909 - root - DEBUG - LP1: Update soctimer to 1
2024-05-20 17:36:07: PID: 19393: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:36:14: PID: 20627: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:36:16,849 - root - DEBUG - LP1: Update soctimer to 2
2024-05-20 17:36:18: PID: 20627: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:36:24: PID: 21869: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:36:26,970 - root - DEBUG - LP1: Update soctimer to 3
2024-05-20 17:36:27: PID: 21869: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:36:34: PID: 23091: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:36:36,971 - root - DEBUG - LP1: Update soctimer to 4
2024-05-20 17:36:37: PID: 23091: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:36:44: PID: 24324: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:36:47,084 - root - DEBUG - LP1: Update soctimer to 5
2024-05-20 17:36:47: PID: 24324: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:36:54: PID: 25545: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:36:56,803 - root - DEBUG - LP1: Update soctimer to 6
2024-05-20 17:36:56: PID: 25545: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:37:05: PID: 26803: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:37:08,050 - root - DEBUG - LP1: Update soctimer to 7
2024-05-20 17:37:08: PID: 26803: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:37:15: PID: 28025: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:37:17,998 - root - DEBUG - LP1: Update soctimer to 8
2024-05-20 17:37:18: PID: 28025: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:37:25: PID: 29247: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:37:27,991 - root - DEBUG - LP1: Update soctimer to 9
2024-05-20 17:37:28: PID: 29247: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:37:35: PID: 30469: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:37:38,072 - root - DEBUG - LP1: Update soctimer to 10
2024-05-20 17:37:38,073 - root - DEBUG - LP1: login = mailadresse@domain.de, region = NE
2024-05-20 17:37:38,092 - pycarwings2 - DEBUG - invoking carwings API: https://gdcportalgw.its-mo.com/api_v210707_NE/gdc/InitialApp_v2.php
2024-05-20 17:37:38,093 - pycarwings2 - DEBUG - params: {
   "RegionCode": "NE",
   "custom_sessionid": "",
   "initial_app_str": "xxxxxxxxxxxxxxxxxxx",
   "lg": "en-US"
}
2024-05-20 17:37:38,097 - requests.packages.urllib3.connectionpool - DEBUG - Starting new HTTPS connection (1): gdcportalgw.its-mo.com
2024-05-20 17:37:39,518 - requests.packages.urllib3.connectionpool - DEBUG - https://gdcportalgw.its-mo.com:443 "POST /api_v210707_NE/gdc/InitialApp_v2.php HTTP/1.1" 404 234
2024-05-20 17:37:39,522 - pycarwings2 - DEBUG - Response HTTP Status Code: 404
2024-05-20 17:37:39,522 - pycarwings2 - DEBUG - Response HTTP Response Body: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /api_v210707_NE/gdc/InitialApp_v2.php was not found on this server.</p>
</body></html>

2024-05-20 17:37:39,525 - pycarwings2 - ERROR - Invalid JSON returned
2024-05-20 17:37:39: PID: 30469: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:37:45: PID: 31689: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:37:47,975 - root - DEBUG - LP1: Update soctimer to 11
2024-05-20 17:37:48: PID: 31689: Lp1: Done (LV1) at 35 main modules/soc_leaf/main.sh
2024-05-20 17:37:55: PID: 459: Lp1: Starting Python module (LV1) at 33 main modules/soc_leaf/main.sh
2024-05-20 17:37:58,104 - root - DEBUG - LP1: Update soctimer to 12
...
Den initial_app_str kann ich liefern, falls er für die Problemlösung wichtig sein sollte. Er sieht aus wie ein Passwort und darum habe ich ihn ausge-xt.

Muss ich außer dem Systemupdate noch was anderes machen, damit es wieder funktioniert?

Danke & beste Grüße,

der LEAFerant
Nissan LEAF ZE1 2019, Von Null auf Fun in 1 s.
PV: Viessmann Vitovolt 300 P275 AC, 3,6 kWp, WR: SMA SB3.6-1AV-40, Manager: SMA Sunny Home Manager 2.0
WB: openWB Serie 1 Bj 2019, F/W: v1.9.303 stable, einphasig, max 3,6 kW, per WLAN eingebunden
Oeffly
Beiträge: 39
Registriert: Mo Mär 07, 2022 9:35 am

Re: SoC-modul "EVCC" Wert wird mit 0% angezeigt

Beitrag von Oeffly »

Oeffly hat geschrieben: So Mai 19, 2024 1:14 pm hallo,

eit gestern Mittag ca. 12 Uhr wir der SOC von denn Autos was über Evcc ausgelesen wird nicht mehr angezeigt. Die Autos haben eine SoC von 0%.
in der App wird der richtige Wert angezeigt.

Version 2.1.4. Beta 2 und auch nun RC2

Log:

2024-05-19 14:55:05,846 - {modules.common.fault_state:49} - {ERROR:fetch soc_ev2} - EVCC: FaultState FaultStateLevel.ERROR, FaultStr <class 'grpc.RpcError'> (<_InactiveRpcError of RPC that terminated with:
status = StatusCode.UNKNOWN
details = "vehicle not available"
debug_error_string = "UNKNOWN:Error received from peer {created_time:"2024-05-19T14:55:05.839882092+02:00", grpc_status:2, grpc_message:"vehicle not available"}"
>,), Traceback:
Traceback (most recent call last):
File "/var/www/html/openWB/packages/modules/vehicles/evcc/api.py", line 71, in fetch_soc
response = stub.SoC(
File "/home/openwb/.local/lib/python3.9/site-packages/grpc/_channel.py", line 1160, in __call__
return _end_unary_response_blocking(state, call, False, None)
File "/home/openwb/.local/lib/python3.9/site-packages/grpc/_channel.py", line 1003, in _end_unary_response_blocking
raise _InactiveRpcError(state) # pytype: disable=not-instantiable
grpc._channel._InactiveRpcError: <_InactiveRpcError of RPC that terminated with:
status = StatusCode.UNKNOWN
details = "vehicle not available"
debug_error_string = "UNKNOWN:Error received from peer {created_time:"2024-05-19T14:55:05.839882092+02:00", grpc_status:2, grpc_message:"vehicle not available"}"
>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/www/html/openWB/packages/modules/common/configurable_vehicle.py", line 66, in update
car_state = self._get_carstate_by_source(vehicle_update_data, source)
File "/var/www/html/openWB/packages/modules/common/configurable_vehicle.py", line 110, in _get_carstate_by_source
return self.__component_updater(vehicle_update_data)
File "/var/www/html/openWB/packages/modules/vehicles/evcc/soc.py", line 16, in updater
return fetch_soc(vehicle_config.configuration, vehicle_update_data, vehicle)
File "/var/www/html/openWB/packages/modules/vehicles/evcc/api.py", line 86, in fetch_soc
raise grpc.RpcError(rpc_error)
grpc.RpcError: <_InactiveRpcError of RPC that terminated with:
status = StatusCode.UNKNOWN
details = "vehicle not available"
debug_error_string = "UNKNOWN:Error received from peer {created_time:"2024-05-19T14:55:05.839882092+02:00", grpc_status:2, grpc_message:"vehicle not available"}"
>

2024-05-19 15:03:23,663 - {modules.common.fault_state:49} - {ERROR:fetch soc_ev1} - EVCC: FaultState FaultStateLevel.ERROR, FaultStr <class 'grpc._channel._InactiveRpcError'> (<grpc._channel._RPCState object at 0x6ec4ee50>,), Traceback:
Traceback (most recent call last):
File "/var/www/html/openWB/packages/modules/common/configurable_vehicle.py", line 66, in update
car_state = self._get_carstate_by_source(vehicle_update_data, source)
File "/var/www/html/openWB/packages/modules/common/configurable_vehicle.py", line 110, in _get_carstate_by_source
return self.__component_updater(vehicle_update_data)
File "/var/www/html/openWB/packages/modules/vehicles/evcc/soc.py", line 16, in updater
return fetch_soc(vehicle_config.configuration, vehicle_update_data, vehicle)
File "/var/www/html/openWB/packages/modules/vehicles/evcc/api.py", line 57, in fetch_soc
vehicle_to_fetch = create_vehicle(evcc_config, stub)
File "/var/www/html/openWB/packages/modules/vehicles/evcc/api.py", line 33, in create_vehicle
response = stub.New(
File "/home/openwb/.local/lib/python3.9/site-packages/grpc/_channel.py", line 1160, in __call__
return _end_unary_response_blocking(state, call, False, None)
File "/home/openwb/.local/lib/python3.9/site-packages/grpc/_channel.py", line 1003, in _end_unary_response_blocking
raise _InactiveRpcError(state) # pytype: disable=not-instantiable
grpc._channel._InactiveRpcError: <_InactiveRpcError of RPC that terminated with:
status = StatusCode.UNKNOWN
details = "token is malformed: token contains an invalid number of segments"
debug_error_string = "UNKNOWN:Error received from peer {created_time:"2024-05-19T15:03:23.654680059+02:00", grpc_status:2, grpc_message:"token is malformed: token contains an invalid number of segments"}"
>

2024-05-19 15:03:24,942 - {modules.common.fault_state:49} - {ERROR:fetch soc_ev2} - EVCC: FaultState FaultStateLevel.ERROR, FaultStr <class 'grpc.RpcError'> (<_InactiveRpcError of RPC that terminated with:
status = StatusCode.UNKNOWN
details = "vehicle not available"
debug_error_string = "UNKNOWN:Error received from peer {grpc_message:"vehicle not available", grpc_status:2, created_time:"2024-05-19T15:03:24.937276108+02:00"}"
>,), Traceback:
Traceback (most recent call last):
File "/var/www/html/openWB/packages/modules/vehicles/evcc/api.py", line 71, in fetch_soc
response = stub.SoC(
File "/home/openwb/.local/lib/python3.9/site-packages/grpc/_channel.py", line 1160, in __call__
return _end_unary_response_blocking(state, call, False, None)
File "/home/openwb/.local/lib/python3.9/site-packages/grpc/_channel.py", line 1003, in _end_unary_response_blocking
raise _InactiveRpcError(state) # pytype: disable=not-instantiable
grpc._channel._InactiveRpcError: <_InactiveRpcError of RPC that terminated with:
status = StatusCode.UNKNOWN
details = "vehicle not available"
debug_error_string = "UNKNOWN:Error received from peer {grpc_message:"vehicle not available", grpc_status:2, created_time:"2024-05-19T15:03:24.937276108+02:00"}"
>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/www/html/openWB/packages/modules/common/configurable_vehicle.py", line 66, in update
car_state = self._get_carstate_by_source(vehicle_update_data, source)
File "/var/www/html/openWB/packages/modules/common/configurable_vehicle.py", line 110, in _get_carstate_by_source
return self.__component_updater(vehicle_update_data)
File "/var/www/html/openWB/packages/modules/vehicles/evcc/soc.py", line 16, in updater
return fetch_soc(vehicle_config.configuration, vehicle_update_data, vehicle)
File "/var/www/html/openWB/packages/modules/vehicles/evcc/api.py", line 86, in fetch_soc
raise grpc.RpcError(rpc_error)
grpc.RpcError: <_InactiveRpcError of RPC that terminated with:
status = StatusCode.UNKNOWN
details = "vehicle not available"
debug_error_string = "UNKNOWN:Error received from peer {grpc_message:"vehicle not available", grpc_status:2, created_time:"2024-05-19T15:03:24.937276108+02:00"}"
>
2024-05-19_15h10_34.png
ping @mrhinas
PV 1: 13,4 kWp
PV 2: in Planung (16,4 kWp)
Hausakku: E3DC S10 Pro
WB 1: openWB series2 custom
WB 2: openWB series2 custom
BEV 1: VW ID.3
BEV 2: AUDI Q4
Bucky2k
Beiträge: 399
Registriert: Sa Nov 09, 2019 1:17 pm

Re: Support: EVCC

Beitrag von Bucky2k »

Es gab keine Änderung auf openWB Seite - das Problem ist meiner Ansicht bei EVCC oder in der aktuellen soc.bin zu suchen. VWID geht bei mir auch nicht mehr. Hier kann nur AndiG weiterhelfen fürchte ich.

Bucky
Oeffly
Beiträge: 39
Registriert: Mo Mär 07, 2022 9:35 am

Re: Support: EVCC

Beitrag von Oeffly »

@andig

durch das ändern des SponsorToken hatte ich erfolg... leider aber nur immer bei einem Fahrzeug.
Nun leider einen Token wo nichts geht....
PV 1: 13,4 kWp
PV 2: in Planung (16,4 kWp)
Hausakku: E3DC S10 Pro
WB 1: openWB series2 custom
WB 2: openWB series2 custom
BEV 1: VW ID.3
BEV 2: AUDI Q4
Elchkopp
Beiträge: 561
Registriert: Fr Feb 04, 2022 6:19 pm

Re: Support: EVCC

Beitrag von Elchkopp »

Was bei mir oft hilft, ist, das SoC-Modul kurz aus der Fahrzeugkonfiguration herauszunehmen (also -kein SoC Modul- auswählen), zu speichern und das Modul wieder neu auszuwählen und mit den Anmeldedaten etc. neu zu füttern. Muss ich aktuell nach jedem größeren Update und/oder Wechsel des Zweiges durchführen. Danach läuft es dann wieder.
Oeffly
Beiträge: 39
Registriert: Mo Mär 07, 2022 9:35 am

Re: Support: EVCC

Beitrag von Oeffly »

Elchkopp hat geschrieben: Di Mai 21, 2024 2:31 pm Was bei mir oft hilft, ist, das SoC-Modul kurz aus der Fahrzeugkonfiguration herauszunehmen (also -kein SoC Modul- auswählen), zu speichern und das Modul wieder neu auszuwählen und mit den Anmeldedaten etc. neu zu füttern. Muss ich aktuell nach jedem größeren Update und/oder Wechsel des Zweiges durchführen. Danach läuft es dann wieder.
@Elchkopp Danke für denn Tipp....
@andig @mrhinas

Hatte das bereits auch schon bei einem Fahrzeug versucht.... leider ohne Erfolg. Bisher haben die Updates auch immer ohne Probleme geklappt.
Hatte aber vor kurzen auch mal eine Zeit wo der Soc weg war aber dann wieder kam. Das aber erst seit dem ich von Master -> auf Beta gewechselt bin.

Nun habe ich gerade bei allen Fahrzeugen das SoC-Modul entfernt. Einen Reboot alle Boxen gemacht. Und jedes Fahrzeug frisch konfiguriert.....
Nun bekomme ich wieder denn Richtigen SoC bei jedem Fahrwerk.

Okay ein Workaround beim Zweig-Wechsel? oder auch Update? mmmhhh?
PV 1: 13,4 kWp
PV 2: in Planung (16,4 kWp)
Hausakku: E3DC S10 Pro
WB 1: openWB series2 custom
WB 2: openWB series2 custom
BEV 1: VW ID.3
BEV 2: AUDI Q4
Oeffly
Beiträge: 39
Registriert: Mo Mär 07, 2022 9:35 am

Re: Support: EVCC

Beitrag von Oeffly »

Oeffly hat geschrieben: Di Mai 21, 2024 3:21 pm
Elchkopp hat geschrieben: Di Mai 21, 2024 2:31 pm Was bei mir oft hilft, ist, das SoC-Modul kurz aus der Fahrzeugkonfiguration herauszunehmen (also -kein SoC Modul- auswählen), zu speichern und das Modul wieder neu auszuwählen und mit den Anmeldedaten etc. neu zu füttern. Muss ich aktuell nach jedem größeren Update und/oder Wechsel des Zweiges durchführen. Danach läuft es dann wieder.
@Elchkopp Danke für denn Tipp....
@andig @mrhinas

Hatte das bereits auch schon bei einem Fahrzeug versucht.... leider ohne Erfolg. Bisher haben die Updates auch immer ohne Probleme geklappt.
Hatte aber vor kurzen auch mal eine Zeit wo der Soc weg war aber dann wieder kam. Das aber erst seit dem ich von Master -> auf Beta gewechselt bin.

Nun habe ich gerade bei allen Fahrzeugen das SoC-Modul entfernt. Einen Reboot alle Boxen gemacht. Und jedes Fahrzeug frisch konfiguriert.....
Nun bekomme ich wieder denn Richtigen SoC bei jedem Fahrwerk.

Okay ein Workaround beim Zweig-Wechsel? oder auch Update? mmmhhh?
leider heute morgen wieder bei einem der drei Fahrzeuge der SoC auf 0% (ca. 7:30) auf einmal gefallen....
PV 1: 13,4 kWp
PV 2: in Planung (16,4 kWp)
Hausakku: E3DC S10 Pro
WB 1: openWB series2 custom
WB 2: openWB series2 custom
BEV 1: VW ID.3
BEV 2: AUDI Q4
Antworten